@echo off

ctime -begin timeBuild.ctm

set CommonCompilerFlags=/nologo /Zi /FC /WX /W4 /wd4201 /wd4100 /wd4189 /wd4244 /wd4127 /wd4456
set Sources=../src/main.c

IF NOT EXIST .\build mkdir .\build
pushd .\build
cl  %CommonCompilerFlags% %Sources% -Feprogram.exe
set LastError=%ERRORLEVEL%
popd

ctime -end timeBuild.ctm %LastError%
IF NOT %LastError%==0 GOTO :end

:end
